<?php
/**
 * $Horde: whups/templates/savedsearches.inc,v 1.19 2005/07/25 03:22:08 chuck Exp $
 *
 * Copyright 2001-2005 Robert E. Coyle <robertecoyle@hotmail.com>
 * Copyright 2001-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 *
 * @package Whups
 */
class SavedSearches {

    function render($title, $renderer, $results)
    {
        if (!count($results)) {
            return;
        }

        $clearurl = Util::addParameter(Horde::applicationUrl('clearsearch.php'),
                                       array('clear' => 1,
                                             'url' => Horde::selfUrl(true, false, true)));
?>
<div class="header">
 <span style="float:right" class="smallheader">
  <?php echo Horde::widget($clearurl, _("Clear All Searches"), 'smallheader', '', '', _("Clear All Searches")) ?>
 </span>
 <?php echo htmlspecialchars($title) ?>
</div>
<table cellspacing="0" width="100%" class="headerbox linedRow">
<?php
        $this->results($results);
        echo '</table><br class="spacer" />';
    }

    function results($results)
    {
        $clearurl = Util::addParameter(Horde::applicationUrl('clearsearch.php'),
                                       array('clear' => 1,
                                             'url' => Horde::selfUrl(true, false, true)));

        foreach ($results as $name => $search_getvars) {
            echo '<tr><td>' .
                Horde::link(Util::addParameter($clearurl, 'search', $name), _("Delete Search")) .
                Horde::img('delete.png', _("Delete Search"), 'align="middle"', $GLOBALS['registry']->getImageDir('horde')) . '</a> ' .
                Horde::link(Horde::applicationUrl("search.php?$search_getvars"), $name) . $name . '</a></td></tr>';
        }
    }

}
